Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class PredicateIndicator

    java.lang.Object
      jason.asSyntax.PredicateIndicator

    public final class PredicateIndicator

extends java.lang.Object

Represents the "type" of a predicate based on the functor and the arity, e.g.: ask/4

Constructor Summary
`PredicateIndicator(java.lang.String functor, int arity)`
`PredicateIndicator(java.lang.String prefix, PredicateIndicator pi)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getArity()`
`java.lang.String` | `getFunctor()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredicateIndicator

    public PredicateIndicator(java.lang.String functor,
                              int arity)

### PredicateIndicator

    public PredicateIndicator(java.lang.String prefix,
                              PredicateIndicator pi)

Method Detail

### getFunctor

    public java.lang.String getFunctor()

### getArity

    public int getArity()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD